curl --request DELETE \
--url https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.staging.app.dados.rio/eai-agent/api/v1/system-prompt/last', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active_version": 4,
"agent_type": "agentic_search",
"deleted_version": 5,
"message": "Última versão do system prompt deletada com sucesso.",
"previous_prompt_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"success": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Delete Last System Prompt
Deleta apenas o último system prompt do histórico e reativa o anterior.
Este endpoint é útil quando você quer desfazer a última atualização de prompt sem perder todo o histórico.
Args: agent_type: Tipo do agente db: Sessão do banco de dados
Returns: SystemPromptDeleteResponse: Resposta contendo o resultado da operação
Raises: HTTPException 400: Se não houver prompts suficientes para deletar HTTPException 500: Se houver erro durante a operação
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Tipo do agente
Response
Successful Response
Schema para resposta da deleção do último system prompt.
Status geral da operação
Tipo de agente
Versão do prompt que foi deletado
Versão do prompt que ficou ativo
ID do prompt que foi reativado
Mensagem adicional sobre a operação
